#include <math.h>

void getRBConJacobianParOPTBasic (
  double tK,
  double bKw,
  double bKh,
  double hL0,
	const double *iniMatTanRB,
	const double *iniMatNorRB,
	const double *iniRefTanRO,
	const double *iniRefNorRO,
  double rtx,
	const double *rotationAnglesRB,
	const double *ex,
  double thetax,
  double *gradientJacobianp)
{
  double t1;
  double t10;
  double t100;
  double t1000;
  double t1004;
  double t1008;
  double t101;
  double t1011;
  double t1016;
  double t1025;
  double t1035;
  double t1038;
  double t1044;
  double t1050;
  double t1055;
  double t106;
  double t1067;
  double t107;
  double t1071;
  double t1082;
  double t1083;
  double t109;
  double t1099;
  double t11;
  double t1103;
  double t111;
  double t1112;
  double t1113;
  double t113;
  double t1158;
  double t116;
  double t1163;
  double t1172;
  double t1184;
  double t1198;
  double t12;
  double t1201;
  double t1215;
  double t122;
  double t1229;
  double t1249;
  double t125;
  double t1255;
  double t126;
  double t1261;
  double t1264;
  double t127;
  double t1272;
  double t1273;
  double t1283;
  double t1284;
  double t1288;
  double t1294;
  double t1295;
  double t130;
  double t1302;
  double t1318;
  double t1322;
  double t1327;
  double t1332;
  double t1339;
  double t1341;
  double t1346;
  double t1348;
  double t1355;
  double t1358;
  double t1371;
  double t138;
  double t1383;
  double t1386;
  double t1397;
  double t1408;
  double t142;
  double t1423;
  double t1425;
  double t1428;
  double t143;
  double t1435;
  double t1439;
  double t1441;
  double t1444;
  double t1447;
  double t145;
  double t1455;
  double t1456;
  double t1466;
  double t1467;
  double t1477;
  double t1478;
  double t148;
  double t1504;
  double t1506;
  double t1508;
  double t1514;
  double t152;
  double t1520;
  double t1529;
  double t153;
  double t1534;
  double t1546;
  double t1559;
  double t1571;
  double t1574;
  double t1585;
  double t1596;
  double t16;
  double t161;
  double t1612;
  double t1613;
  double t1616;
  double t1620;
  double t1627;
  double t1636;
  double t1637;
  double t165;
  double t166;
  double t1664;
  double t1666;
  double t1670;
  double t1674;
  double t1679;
  double t168;
  double t1685;
  double t1697;
  double t1711;
  double t172;
  double t1723;
  double t1726;
  double t1737;
  double t1748;
  double t175;
  double t176;
  double t1764;
  double t1767;
  double t1774;
  double t1786;
  double t18;
  double t181;
  double t184;
  double t185;
  double t186;
  double t187;
  double t189;
  double t19;
  double t190;
  double t193;
  double t194;
  double t195;
  double t197;
  double t198;
  double t199;
  double t2;
  double t20;
  double t201;
  double t202;
  double t207;
  double t209;
  double t21;
  double t210;
  double t211;
  double t214;
  double t217;
  double t218;
  double t22;
  double t221;
  double t222;
  double t224;
  double t225;
  double t227;
  double t228;
  double t23;
  double t231;
  double t233;
  double t234;
  double t237;
  double t24;
  double t240;
  double t241;
  double t246;
  double t249;
  double t25;
  double t250;
  double t253;
  double t255;
  double t257;
  double t26;
  double t261;
  double t263;
  double t266;
  double t267;
  double t27;
  double t275;
  double t278;
  double t28;
  double t280;
  double t288;
  double t291;
  double t296;
  double t299;
  double t3;
  double t30;
  double t301;
  double t304;
  double t305;
  double t307;
  double t311;
  double t314;
  double t316;
  double t317;
  double t32;
  double t322;
  double t327;
  double t33;
  double t331;
  double t334;
  double t338;
  double t340;
  double t341;
  double t347;
  double t35;
  double t352;
  double t355;
  double t356;
  double t357;
  double t363;
  double t366;
  double t37;
  double t371;
  double t375;
  double t378;
  double t38;
  double t385;
  double t386;
  double t387;
  double t389;
  double t39;
  double t391;
  double t392;
  double t397;
  double t4;
  double t40;
  double t400;
  double t401;
  double t402;
  double t408;
  double t41;
  double t42;
  double t420;
  double t428;
  double t43;
  double t44;
  double t453;
  double t454;
  double t458;
  double t459;
  double t46;
  double t463;
  double t468;
  double t470;
  double t473;
  double t474;
  double t476;
  double t478;
  double t48;
  double t481;
  double t483;
  double t488;
  double t49;
  double t490;
  double t5;
  double t502;
  double t503;
  double t506;
  double t51;
  double t517;
  double t52;
  double t528;
  double t53;
  double t530;
  double t534;
  double t535;
  double t537;
  double t546;
  double t548;
  double t552;
  double t554;
  double t556;
  double t564;
  double t567;
  double t569;
  double t577;
  double t58;
  double t585;
  double t589;
  double t59;
  double t593;
  double t595;
  double t597;
  double t6;
  double t60;
  double t603;
  double t604;
  double t61;
  double t611;
  double t614;
  double t616;
  double t62;
  double t624;
  double t625;
  double t632;
  double t636;
  double t64;
  double t644;
  double t645;
  double t648;
  double t65;
  double t650;
  double t651;
  double t652;
  double t655;
  double t665;
  double t67;
  double t672;
  double t674;
  double t675;
  double t68;
  double t680;
  double t683;
  double t684;
  double t687;
  double t693;
  double t694;
  double t697;
  double t698;
  double t7;
  double t70;
  double t700;
  double t703;
  double t704;
  double t708;
  double t71;
  double t710;
  double t713;
  double t718;
  double t720;
  double t727;
  double t739;
  double t742;
  double t752;
  double t756;
  double t759;
  double t761;
  double t762;
  double t765;
  double t77;
  double t773;
  double t776;
  double t782;
  double t79;
  double t792;
  double t793;
  double t794;
  double t8;
  double t801;
  double t809;
  double t81;
  double t812;
  double t816;
  double t827;
  double t828;
  double t83;
  double t831;
  double t839;
  double t84;
  double t880;
  double t885;
  double t896;
  double t9;
  double t901;
  double t909;
  double t91;
  double t922;
  double t926;
  double t929;
  double t93;
  double t937;
  double t94;
  double t946;
  double t95;
  double t96;
  double t961;
  double t962;
  double t98;
  double t981;
  double t987;
  double t988;
  double t991;
  double t996;
  t4 = rotationAnglesRB[2];
  t1 = cos(t4);
  t8 = rotationAnglesRB[1];
  t2 = cos(t8);
  t3 = t1 * t2;
  t5 = sin(t8);
  t6 = t1 * t5;
  t11 = rotationAnglesRB[0];
  t7 = sin(t11);
  t9 = sin(t4);
  t10 = cos(t11);
  t12 = -t10 * t9 + t6 * t7;
  t16 = t10 * t6 + t7 * t9;
  t26 = iniMatTanRB[1];
  t32 = iniMatTanRB[2];
  t35 = iniMatTanRB[0];
  t18 = t12 * t26 + t16 * t32 + t3 * t35;
  t38 = ex[0];
  t19 = t38 * t38;
  t41 = ex[1];
  t20 = t41 * t41;
  t43 = ex[2];
  t21 = t43 * t43;
  t22 = t19 + t20 + t21;
  t23 = sqrt(t22);
  t24 = 0.1e1 / t23;
  t25 = t18 * t24;
  t27 = 0.1e1 * t25 * t38;
  t28 = t9 * t2;
  t30 = t9 * t5;
  t33 = t1 * t10 + t30 * t7;
  t37 = -t1 * t7 + t10 * t30;
  t39 = t26 * t33 + t28 * t35 + t32 * t37;
  t40 = t39 * t24;
  t42 = 0.1e1 * t40 * t41;
  t44 = t7 * t2;
  t46 = t2 * t10;
  t48 = t26 * t44 + t32 * t46 - t35 * t5;
  t49 = t48 * t24;
  t51 = 0.1e1 * t49 * t43;
  t52 = 0.1e1 + t27 + t42 + t51;
  t53 = 0.1e1 / t52;
  t58 = 0.1e1 * t40 * t43 - 0.1e1 * t49 * t41;
  t59 = t53 * t58;
  t60 = t24 * t41;
  t61 = cos(thetax);
  t79 = iniRefTanRO[0];
  t62 = t79 * t24;
  t64 = 0.1e1 * t62 * t38;
  t81 = iniRefTanRO[1];
  t65 = t81 * t24;
  t67 = 0.1e1 * t65 * t41;
  t84 = iniRefTanRO[2];
  t68 = t84 * t24;
  t70 = 0.1e1 * t68 * t43;
  t71 = t64 + t67 + t70;
  t77 = 0.1e1 * t65 * t43 - 0.1e1 * t68 * t41;
  t83 = -0.1e1 * t62 * t43 + 0.1e1 * t68 * t38;
  t91 = 0.1e1 * t62 * t41 - 0.1e1 * t65 * t38;
  t107 = iniRefNorRO[0];
  t109 = iniRefNorRO[1];
  t111 = iniRefNorRO[2];
  t93 = t107 * t77 + t109 * t83 + t111 * t91;
  t94 = 0.1e1 + t64 + t67 + t70;
  t95 = 0.1e1 / t94;
  t96 = t93 * t95;
  t98 = -t107 * t83 + t109 * t77 + t111 * t71 + t91 * t96;
  t100 = sin(thetax);
  t101 = t24 * t38;
  t106 = t107 * t91 + t109 * t71 - t111 * t77 + t83 * t96;
  t113 = t107 * t71 - t109 * t91 + t111 * t83 + t77 * t96;
  t116 = 0.1e1 * t101 * t106 - 0.1e1 * t60 * t113;
  t122 = t24 * t43;
  t125 = 0.1e1 * t101 * t113 + 0.1e1 * t60 * t106 + 0.1e1 * t122 * t98;
  t126 = 0.1e1 - t61;
  t127 = t125 * t126;
  t130 = t61 * t98 + t100 * t116 + 0.1e1 * t122 * t127;
  t138 = -0.1e1 * t101 * t98 + 0.1e1 * t122 * t113;
  t142 = t61 * t106 + t100 * t138 + 0.1e1 * t127 * t60;
  t143 = t122 * t142;
  t145 = 0.1e1 * t60 * t130 - 0.1e1 * t143;
  t148 = t25 * t43;
  t152 = -0.1e1 * t148 + 0.1e1 * t49 * t38;
  t153 = t53 * t152;
  t161 = 0.1e1 * t60 * t98 - 0.1e1 * t122 * t106;
  t165 = t61 * t113 + t100 * t161 + 0.1e1 * t127 * t101;
  t166 = t122 * t165;
  t168 = -0.1e1 * t101 * t130 + 0.1e1 * t166;
  t172 = 0.1e1 * t25 * t41;
  t175 = t172 - 0.1e1 * t40 * t38;
  t176 = t53 * t175;
  t181 = 0.1e1 * t101 * t142 - 0.1e1 * t60 * t165;
  t184 = 0.2e1 * t59 * t145 + 0.2e1 * t153 * t168 + 0.2e1 * t176 * t181;
  t185 = t52 * t52;
  t186 = 0.1e1 / t185;
  t187 = t186 * t58;
  t189 = t24 / t22;
  t190 = t18 * t189;
  t193 = 0.1e1 * t25;
  t194 = t39 * t189;
  t195 = t41 * t38;
  t197 = 0.1e1 * t194 * t195;
  t198 = t48 * t189;
  t199 = t43 * t38;
  t201 = 0.1e1 * t198 * t199;
  t202 = -0.1e1 * t19 * t190 + t193 - t197 - t201;
  t207 = 0.1e1 * t194 * t199;
  t209 = 0.1e1 * t198 * t195;
  t210 = -t207 + t209;
  t211 = t53 * t210;
  t214 = t189 * t41;
  t217 = 0.1e1 * t214 * t130 * t38;
  t218 = t79 * t189;
  t221 = 0.1e1 * t62;
  t222 = t81 * t189;
  t224 = 0.1e1 * t222 * t195;
  t225 = t84 * t189;
  t227 = 0.1e1 * t225 * t199;
  t228 = -0.1e1 * t218 * t19 + t221 - t224 - t227;
  t231 = 0.1e1 * t222 * t199;
  t233 = 0.1e1 * t225 * t195;
  t234 = -t231 + t233;
  t237 = 0.1e1 * t218 * t199;
  t240 = 0.1e1 * t68;
  t241 = t237 - 0.1e1 * t225 * t19 + t240;
  t246 = 0.1e1 * t218 * t195;
  t249 = 0.1e1 * t65;
  t250 = -t246 + 0.1e1 * t222 * t19 - t249;
  t253 = (t107 * t234 + t109 * t241 + t111 * t250) * t95;
  t255 = t94 * t94;
  t257 = t93 / t255;
  t266 = t228 * t257;
  t261 = -t107 * t241 + t109 * t234 + t111 * t228 + t250 * t96 + t253 * t91 - t266 * t91;
  t263 = t189 * t19;
  t267 = 0.1e1 * t24 * t106;
  t275 = t107 * t250 + t109 * t228 - t111 * t234 + t241 * t96 + t253 * t83 - t266 * t83;
  t278 = t113 * t38;
  t280 = 0.1e1 * t214 * t278;
  t288 = t107 * t228 - t109 * t250 + t111 * t241 + t234 * t96 + t253 * t77 - t266 * t77;
  t291 = -0.1e1 * t263 * t106 + t267 + 0.1e1 * t101 * t275 + t280 - 0.1e1 * t60 * t288;
  t296 = 0.1e1 * t24 * t113;
  t299 = t106 * t38;
  t301 = 0.1e1 * t214 * t299;
  t304 = t189 * t43;
  t305 = t98 * t38;
  t307 = 0.1e1 * t304 * t305;
  t311 = (-0.1e1 * t263 * t113 + t296 + 0.1e1 * t101 * t288 - t301 + 0.1e1 * t60 * t275 - t307 + 0.1e1 * t122 * t261) * t126;
  t314 = t304 * t38;
  t316 = 0.1e1 * t127 * t314;
  t317 = t61 * t261 + t100 * t291 + 0.1e1 * t311 * t122 - t316;
  t322 = 0.1e1 * t304 * t142 * t38;
  t327 = 0.1e1 * t24 * t98;
  t331 = 0.1e1 * t304 * t278;
  t334 = 0.1e1 * t263 * t98 - t327 - 0.1e1 * t101 * t261 - t331 + 0.1e1 * t122 * t288;
  t338 = t214 * t38;
  t340 = 0.1e1 * t127 * t338;
  t341 = t61 * t275 + t100 * t334 + 0.1e1 * t311 * t60 - t340;
  t347 = t186 * t152;
  t352 = 0.1e1 * t190 * t199;
  t355 = 0.1e1 * t49;
  t356 = t352 - 0.1e1 * t198 * t19 + t355;
  t357 = t53 * t356;
  t363 = 0.1e1 * t24 * t130;
  t366 = t165 * t38;
  t371 = 0.1e1 * t214 * t305;
  t375 = 0.1e1 * t304 * t299;
  t378 = -t371 + 0.1e1 * t60 * t261 + t375 - 0.1e1 * t122 * t275;
  t385 = 0.1e1 * t127 * t24;
  t386 = t61 * t288 + t100 * t378 + 0.1e1 * t101 * t311 - 0.1e1 * t127 * t263 + t385;
  t392 = t186 * t175;
  t397 = 0.1e1 * t190 * t195;
  t400 = 0.1e1 * t40;
  t401 = -t397 + 0.1e1 * t194 * t19 - t400;
  t402 = t53 * t401;
  t408 = 0.1e1 * t24 * t142;
  t420 = 0.1e1 / hL0;
  t428 = -0.2e1 * t59 * t165 - 0.2e1 * t153 * t142 - 0.2e1 * t176 * t130;
  t453 = cos(rtx);
  t454 = t27 + t42 + t51;
  t387 = iniMatNorRB[1];
  t389 = iniMatNorRB[2];
  t391 = iniMatNorRB[0];
  t458 = t12 * t387 + t16 * t389 + t3 * t391;
  t459 = t454 * t458;
  t463 = t387 * t44 + t389 * t46 - t391 * t5;
  t468 = t28 * t391 + t33 * t387 + t37 * t389;
  t470 = t58 * t458;
  t473 = t152 * t468 + t175 * t463 + t470;
  t474 = t473 * t53;
  t476 = t152 * t463 - t175 * t468 + t474 * t58 + t459;
  t478 = sin(rtx);
  t481 = t152 * t458;
  t483 = t175 * t474 + t454 * t463 + t468 * t58 - t481;
  t488 = t175 * t458;
  t490 = t152 * t474 + t454 * t468 - t463 * t58 + t488;
  t502 = 0.1e1 - t453;
  t503 = (0.1e1 * t101 * t476 + 0.1e1 * t60 * t490 + 0.1e1 * t122 * t483) * t502;
  t506 = t453 * t476 + t478 * (0.1e1 * t60 * t483 - 0.1e1 * t122 * t490) + 0.1e1 * t101 * t503;
  t517 = t453 * t490 + t478 * (-0.1e1 * t101 * t483 + 0.1e1 * t122 * t476) + 0.1e1 * t503 * t60;
  t528 = t453 * t483 + t478 * (0.1e1 * t101 * t490 - 0.1e1 * t60 * t476) + 0.1e1 * t503 * t122;
  t530 = t116 * t528 + t138 * t517 + t506 * t161;
  t534 = t106 * t517 + t113 * t506 + t528 * t98;
  t535 = atan2(t530, t534);
  t537 = (thetax + rtx - t535) * t420;
  t546 = (t210 * t458 + t356 * t468 + t401 * t463) * t53;
  t548 = t473 * t186;
  t552 = -t202 * t548 * t58 + t202 * t458 + t210 * t474 + t356 * t463 - t401 * t468 + t546 * t58;
  t554 = t483 * t38;
  t556 = 0.1e1 * t214 * t554;
  t564 = -t175 * t202 * t548 + t175 * t546 + t202 * t463 + t210 * t468 - t356 * t458 + t401 * t474;
  t567 = t490 * t38;
  t569 = 0.1e1 * t304 * t567;
  t577 = -t152 * t202 * t548 + t152 * t546 + t202 * t468 - t210 * t463 + t356 * t474 + t401 * t458;
  t585 = 0.1e1 * t24 * t476;
  t589 = 0.1e1 * t214 * t567;
  t593 = 0.1e1 * t304 * t554;
  t597 = (-0.1e1 * t263 * t476 + t585 + 0.1e1 * t101 * t552 - t589 + 0.1e1 * t60 * t577 - t593 + 0.1e1 * t122 * t564) * t502;
  t603 = 0.1e1 * t503 * t24;
  t604 = t453 * t552 + t478 * (-t556 + 0.1e1 * t60 * t564 + t569 - 0.1e1 * t122 * t577) + 0.1e1 * t597 * t101 - 0.1e1 * t503 * t263 + t603;
  t611 = 0.1e1 * t24 * t483;
  t614 = t476 * t38;
  t616 = 0.1e1 * t304 * t614;
  t624 = 0.1e1 * t503 * t338;
  t625 = t453 * t577 + t478 * (0.1e1 * t263 * t483 - t611 - 0.1e1 * t101 * t564 - t616 + 0.1e1 * t122 * t552) + 0.1e1 * t597 * t60 - t624;
  t632 = 0.1e1 * t24 * t490;
  t636 = 0.1e1 * t214 * t614;
  t644 = 0.1e1 * t503 * t314;
  t645 = t453 * t564 + t478 * (-0.1e1 * t263 * t490 + t632 + 0.1e1 * t101 * t577 + t636 - 0.1e1 * t60 * t552) + 0.1e1 * t597 * t122 - t644;
  t648 = 0.1e1 / t534;
  t650 = t530 * t530;
  t651 = t534 * t534;
  t652 = 0.1e1 / t651;
  t655 = 0.1e1 / (t650 * t652 + 0.1e1);
  t665 = t652 * t655;
  t672 = t41 * t43;
  t674 = 0.1e1 * t198 * t672;
  t675 = -t397 - 0.1e1 * t194 * t20 + t400 - t674;
  t680 = 0.1e1 * t194 * t672;
  t683 = -t680 + 0.1e1 * t198 * t20 - t355;
  t684 = t53 * t683;
  t687 = t20 * t189;
  t693 = 0.1e1 * t225 * t672;
  t694 = -t246 - 0.1e1 * t222 * t20 + t249 - t693;
  t697 = 0.1e1 * t222 * t672;
  t700 = -t697 + 0.1e1 * t225 * t20 - t240;
  t703 = 0.1e1 * t218 * t672;
  t704 = t703 - t233;
  t710 = -0.1e1 * t218 * t20 + t221 + t224;
  t713 = (t107 * t700 + t109 * t704 + t111 * t710) * t95;
  t595 = t257 * t694;
  t718 = -t107 * t704 + t109 * t700 + t111 * t694 - t595 * t91 + t710 * t96 + t713 * t91;
  t727 = t107 * t710 + t109 * t694 - t111 * t700 - t595 * t83 + t704 * t96 + t713 * t83;
  t739 = t107 * t694 - t109 * t710 + t111 * t704 - t595 * t77 + t700 * t96 + t713 * t77;
  t742 = -t301 + 0.1e1 * t101 * t727 + 0.1e1 * t687 * t113 - t296 - 0.1e1 * t60 * t739;
  t752 = 0.1e1 * t304 * t98 * t41;
  t756 = (-t280 + 0.1e1 * t101 * t739 - 0.1e1 * t687 * t106 + t267 + 0.1e1 * t60 * t727 - t752 + 0.1e1 * t122 * t718) * t126;
  t759 = t304 * t41;
  t761 = 0.1e1 * t127 * t759;
  t762 = t61 * t718 + t100 * t742 + 0.1e1 * t756 * t122 - t761;
  t765 = t142 * t41;
  t773 = 0.1e1 * t304 * t113 * t41;
  t776 = t371 - 0.1e1 * t101 * t718 - t773 + 0.1e1 * t122 * t739;
  t782 = t61 * t727 + t100 * t776 + 0.1e1 * t756 * t60 - 0.1e1 * t127 * t687 + t385;
  t792 = 0.1e1 * t190 * t672;
  t793 = t792 - t209;
  t794 = t53 * t793;
  t801 = 0.1e1 * t304 * t165 * t41;
  t809 = 0.1e1 * t304 * t106 * t41;
  t812 = -0.1e1 * t687 * t98 + t327 + 0.1e1 * t60 * t718 + t809 - 0.1e1 * t122 * t727;
  t816 = t61 * t739 + t100 * t812 + 0.1e1 * t101 * t756 - t340;
  t827 = -0.1e1 * t190 * t20 + t193 + t197;
  t828 = t53 * t827;
  t831 = t189 * t38;
  t839 = 0.1e1 * t24 * t165;
  t880 = (t458 * t683 + t463 * t827 + t468 * t793) * t53;
  t698 = t548 * t58;
  t885 = t458 * t675 + t463 * t793 - t468 * t827 + t474 * t683 + t58 * t880 - t675 * t698;
  t708 = t175 * t548;
  t896 = t175 * t880 - t458 * t793 + t463 * t675 + t468 * t683 + t474 * t827 - t675 * t708;
  t901 = 0.1e1 * t304 * t490 * t41;
  t720 = t152 * t548;
  t909 = t152 * t880 + t458 * t827 - t463 * t683 + t468 * t675 + t474 * t793 - t675 * t720;
  t922 = 0.1e1 * t304 * t483 * t41;
  t926 = (-t636 + 0.1e1 * t101 * t885 - 0.1e1 * t687 * t490 + t632 + 0.1e1 * t60 * t909 - t922 + 0.1e1 * t122 * t896) * t502;
  t929 = t453 * t885 + t478 * (-0.1e1 * t687 * t483 + t611 + 0.1e1 * t60 * t896 + t901 - 0.1e1 * t122 * t909) + 0.1e1 * t926 * t101 - t624;
  t937 = 0.1e1 * t304 * t476 * t41;
  t946 = t453 * t909 + t478 * (t556 - 0.1e1 * t101 * t896 - t937 + 0.1e1 * t122 * t885) + 0.1e1 * t926 * t60 - 0.1e1 * t503 * t687 + t603;
  t961 = 0.1e1 * t503 * t759;
  t962 = t453 * t896 + t478 * (-t589 + 0.1e1 * t101 * t909 + 0.1e1 * t687 * t476 - t585 - 0.1e1 * t60 * t885) + 0.1e1 * t926 * t122 - t961;
  t981 = -t352 - t680 - 0.1e1 * t198 * t21 + t355;
  t987 = -0.1e1 * t194 * t21 + t400 + t674;
  t988 = t53 * t987;
  t991 = t130 * t43;
  t996 = -t237 - t697 - 0.1e1 * t225 * t21 + t240;
  t1000 = -0.1e1 * t222 * t21 + t249 + t693;
  t1004 = 0.1e1 * t218 * t21 - t221 - t227;
  t1008 = -t703 + t231;
  t1011 = (t1000 * t107 + t1004 * t109 + t1008 * t111) * t95;
  t1016 = -t257 * t91 * t996 + t1000 * t109 - t1004 * t107 + t1008 * t96 + t1011 * t91 + t111 * t996;
  t1025 = -t257 * t83 * t996 - t1000 * t111 + t1004 * t96 + t1008 * t107 + t1011 * t83 + t109 * t996;
  t1035 = -t257 * t77 * t996 + t1000 * t96 + t1004 * t111 - t1008 * t109 + t1011 * t77 + t107 * t996;
  t1038 = -t375 + 0.1e1 * t101 * t1025 + t773 - 0.1e1 * t60 * t1035;
  t1044 = t21 * t189;
  t1050 = (-t331 + 0.1e1 * t101 * t1035 - t809 + 0.1e1 * t60 * t1025 - 0.1e1 * t1044 * t98 + t327 + 0.1e1 * t122 * t1016) * t126;
  t1055 = t61 * t1016 + t100 * t1038 + 0.1e1 * t1050 * t122 - 0.1e1 * t127 * t1044 + t385;
  t1067 = t307 - 0.1e1 * t101 * t1016 - 0.1e1 * t1044 * t113 + t296 + 0.1e1 * t122 * t1035;
  t1071 = t61 * t1025 + t100 * t1067 + 0.1e1 * t1050 * t60 - t761;
  t1082 = 0.1e1 * t190 * t21 - t193 - t201;
  t1083 = t53 * t1082;
  t1099 = -t752 + 0.1e1 * t60 * t1016 + 0.1e1 * t1044 * t106 - t267 - 0.1e1 * t122 * t1025;
  t1103 = t61 * t1035 + t100 * t1099 + 0.1e1 * t1050 * t101 - t316;
  t1112 = -t792 + t207;
  t1113 = t53 * t1112;
  t1158 = (t1082 * t468 + t1112 * t463 + t458 * t987) * t53;
  t1163 = t1082 * t463 - t1112 * t468 + t1158 * t58 + t458 * t981 + t474 * t987 - t698 * t981;
  t1172 = -t1082 * t458 + t1112 * t474 + t1158 * t175 + t463 * t981 + t468 * t987 - t708 * t981;
  t1184 = t1082 * t474 + t1112 * t458 + t1158 * t152 - t463 * t987 + t468 * t981 - t720 * t981;
  t1198 = (-t616 + 0.1e1 * t101 * t1163 - t901 + 0.1e1 * t60 * t1184 - 0.1e1 * t1044 * t483 + t611 + 0.1e1 * t122 * t1172) * t502;
  t1201 = t453 * t1163 + t478 * (-t922 + 0.1e1 * t60 * t1172 + 0.1e1 * t1044 * t490 - t632 - 0.1e1 * t122 * t1184) + 0.1e1 * t1198 * t101 - t644;
  t1215 = t453 * t1184 + t478 * (t593 - 0.1e1 * t101 * t1172 - 0.1e1 * t1044 * t476 + t585 + 0.1e1 * t122 * t1163) + 0.1e1 * t1198 * t60 - t961;
  t1229 = t453 * t1172 + t478 * (-t569 + 0.1e1 * t101 * t1184 + t937 - 0.1e1 * t60 * t1163) + 0.1e1 * t1198 * t122 - 0.1e1 * t503 * t1044 + t603;
  t1249 = (-t12 * t32 + t16 * t26) * t24;
  t1255 = (t26 * t37 - t32 * t33) * t24;
  t1261 = (t26 * t46 - t32 * t44) * t24;
  t1264 = 0.1e1 * t1249 * t38 + 0.1e1 * t1255 * t41 + 0.1e1 * t1261 * t43;
  t1272 = 0.1e1 * t1255 * t43 - 0.1e1 * t1261 * t41;
  t1273 = t53 * t1272;
  t1283 = -0.1e1 * t1249 * t43 + 0.1e1 * t1261 * t38;
  t1284 = t53 * t1283;
  t1294 = 0.1e1 * t1249 * t41 - 0.1e1 * t1255 * t38;
  t1295 = t53 * t1294;
  t1322 = -t12 * t389 + t16 * t387;
  t1327 = t387 * t46 - t389 * t44;
  t1332 = -t33 * t389 + t37 * t387;
  t1341 = (t1272 * t458 + t1283 * t468 + t1294 * t463 + t1322 * t58 + t1327 * t175 + t1332 * t152) * t53;
  t1346 = -t1264 * t548 * t58 + t1264 * t458 + t1272 * t474 + t1283 * t463 - t1294 * t468 + t1322 * t454 + t1327 * t152 - t1332 * t175 + t1341 * t58;
  t1358 = -t1264 * t175 * t548 + t1264 * t463 + t1272 * t468 - t1283 * t458 + t1294 * t474 - t1322 * t152 + t1327 * t454 + t1332 * t58 + t1341 * t175;
  t1371 = -t1264 * t152 * t548 + t1264 * t468 - t1272 * t463 + t1283 * t474 + t1294 * t458 + t1322 * t175 - t1327 * t58 + t1332 * t454 + t1341 * t152;
  t1383 = (0.1e1 * t101 * t1346 + 0.1e1 * t60 * t1371 + 0.1e1 * t122 * t1358) * t502;
  t1386 = t453 * t1346 + t478 * (0.1e1 * t60 * t1358 - 0.1e1 * t122 * t1371) + 0.1e1 * t1383 * t101;
  t1397 = t453 * t1371 + t478 * (-0.1e1 * t101 * t1358 + 0.1e1 * t122 * t1346) + 0.1e1 * t1383 * t60;
  t1408 = t453 * t1358 + t478 * (0.1e1 * t101 * t1371 - 0.1e1 * t60 * t1346) + 0.1e1 * t1383 * t122;
  t1423 = t7 * t26;
  t1425 = t10 * t32;
  t1428 = (t1423 * t3 + t1425 * t3 - t35 * t6) * t24;
  t1435 = (t1423 * t28 + t1425 * t28 - t30 * t35) * t24;
  t1439 = t5 * t7;
  t1441 = t5 * t10;
  t1444 = (-t1439 * t26 - t1441 * t32 - t2 * t35) * t24;
  t1447 = 0.1e1 * t1428 * t38 + 0.1e1 * t1435 * t41 + 0.1e1 * t1444 * t43;
  t1455 = 0.1e1 * t1435 * t43 - 0.1e1 * t1444 * t41;
  t1456 = t53 * t1455;
  t1466 = -0.1e1 * t1428 * t43 + 0.1e1 * t1444 * t38;
  t1467 = t53 * t1466;
  t1477 = 0.1e1 * t1428 * t41 - 0.1e1 * t1435 * t38;
  t1478 = t53 * t1477;
  t1504 = t7 * t387;
  t1506 = t10 * t389;
  t1508 = t1504 * t3 + t1506 * t3 - t391 * t6;
  t1514 = -t1439 * t387 - t1441 * t389 - t2 * t391;
  t1520 = t1504 * t28 + t1506 * t28 - t30 * t391;
  t1529 = (t1455 * t458 + t1466 * t468 + t1477 * t463 + t1508 * t58 + t1514 * t175 + t152 * t1520) * t53;
  t1534 = -t1447 * t548 * t58 + t1447 * t458 + t1455 * t474 + t1466 * t463 - t1477 * t468 + t1508 * t454 + t1514 * t152 - t1520 * t175 + t1529 * t58;
  t1546 = -t1447 * t175 * t548 + t1447 * t463 + t1455 * t468 - t1466 * t458 + t1477 * t474 - t1508 * t152 + t1514 * t454 + t1520 * t58 + t1529 * t175;
  t1559 = -t1447 * t152 * t548 + t1447 * t468 - t1455 * t463 + t1466 * t474 + t1477 * t458 + t1508 * t175 - t1514 * t58 + t152 * t1529 + t1520 * t454;
  t1571 = (0.1e1 * t101 * t1534 + 0.1e1 * t60 * t1559 + 0.1e1 * t122 * t1546) * t502;
  t1574 = t453 * t1534 + t478 * (0.1e1 * t60 * t1546 - 0.1e1 * t122 * t1559) + 0.1e1 * t1571 * t101;
  t1585 = t453 * t1559 + t478 * (-0.1e1 * t101 * t1546 + 0.1e1 * t122 * t1534) + 0.1e1 * t1571 * t60;
  t1596 = t453 * t1546 + t478 * (0.1e1 * t101 * t1559 - 0.1e1 * t60 * t1534) + 0.1e1 * t1571 * t122;
  t1612 = -t39;
  t1613 = t1612 * t24;
  t1616 = 0.1e1 * t1613 * t38 + t172;
  t1620 = t53 * t18;
  t1627 = t53 * t1612;
  t1636 = 0.1e1 * t1613 * t41 - t27;
  t1637 = t53 * t1636;
  t1664 = -t468;
  t1666 = t43 * t463;
  t1670 = t43 * t458;
  t1674 = t43 * t468;
  t1679 = (0.1e1 * t25 * t1670 + t58 * t1664 - 0.1e1 * t1613 * t1674 + t481 + t1636 * t463) * t53;
  t1685 = t1616 * t458 + t454 * t1664 - 0.1e1 * t1613 * t1666 - t1636 * t468 - t488 + t1679 * t58 - t698 * t1616 + 0.1e1 * t474 * t148;
  t1697 = t1616 * t463 + 0.1e1 * t25 * t1674 + t470 + 0.1e1 * t1613 * t1670 - t152 * t1664 + t175 * t1679 - t708 * t1616 + t474 * t1636;
  t1711 = t1616 * t468 + t459 - 0.1e1 * t25 * t1666 + t1636 * t458 + t175 * t1664 + t1679 * t152 - t720 * t1616 - 0.1e1 * t474 * t1613 * t43;
  t1723 = (0.1e1 * t1685 * t101 + 0.1e1 * t60 * t1711 + 0.1e1 * t122 * t1697) * t502;
  t1726 = t453 * t1685 + t478 * (0.1e1 * t60 * t1697 - 0.1e1 * t122 * t1711) + 0.1e1 * t1723 * t101;
  t1737 = t453 * t1711 + t478 * (-0.1e1 * t101 * t1697 + 0.1e1 * t122 * t1685) + 0.1e1 * t1723 * t60;
  t1748 = t453 * t1697 + t478 * (0.1e1 * t101 * t1711 - 0.1e1 * t60 * t1685) + 0.1e1 * t1723 * t122;
  t1764 = t125 * t100;
  t1767 = -t100 * t98 + t61 * t116 + 0.1e1 * t1764 * t122;
  t1774 = -t100 * t106 + t61 * t138 + 0.1e1 * t1764 * t60;
  t1786 = -t100 * t113 + t61 * t161 + 0.1e1 * t1764 * t101;
  t1288 = t187 * t145;
  t1302 = t347 * t168;
  t1318 = t392 * t181;
  gradientJacobianp[0] = t184 * (-0.2e1 * t1288 * t202 + 0.2e1 * t211 * t145 + 0.2e1 * t59 * (-t217 + 0.1e1 * t60 * t317 + t322 - 0.1e1 * t122 * t341) - 0.2e1 * t1302 * t202 + 0.2e1 * t357 * t168 + 0.2e1 * t153 * (0.1e1 * t263 * t130 - t363 - 0.1e1 * t101 * t317 - 0.1e1 * t304 * t366 + 0.1e1 * t122 * t386) - 0.2e1 * t1318 * t202 + 0.2e1 * t402 * t181 + 0.2e1 * t176 * (-0.1e1 * t263 * t142 + t408 + 0.1e1 * t101 * t341 + 0.1e1 * t214 * t366 - 0.1e1 * t60 * t386)) * t420;
  t1339 = t187 * t165;
  t1348 = t347 * t142;
  t1355 = t392 * t130;
  gradientJacobianp[1] = t428 * (0.2e1 * t1339 * t202 - 0.2e1 * t211 * t165 - 0.2e1 * t59 * t386 + 0.2e1 * t1348 * t202 - 0.2e1 * t357 * t142 - 0.2e1 * t153 * t341 + 0.2e1 * t1355 * t202 - 0.2e1 * t402 * t130 - 0.2e1 * t176 * t317) * t420;
  gradientJacobianp[2] = 0.1000000000e1 * t537 * (-(t116 * t645 + t138 * t625 + t161 * t604 + t291 * t528 + t334 * t517 + t378 * t506) * t648 * t655 + (t625 * t106 + t113 * t604 + t261 * t528 + t275 * t517 + t288 * t506 + t645 * t98) * t530 * t665);
  gradientJacobianp[3] = t184 * (-0.2e1 * t1288 * t675 + 0.2e1 * t684 * t145 + 0.2e1 * t59 * (-0.1e1 * t687 * t130 + t363 + 0.1e1 * t60 * t762 + 0.1e1 * t304 * t765 - 0.1e1 * t122 * t782) - 0.2e1 * t1302 * t675 + 0.2e1 * t794 * t168 + 0.2e1 * t153 * (t217 - 0.1e1 * t101 * t762 - t801 + 0.1e1 * t122 * t816) - 0.2e1 * t1318 * t675 + 0.2e1 * t828 * t181 + 0.2e1 * t176 * (-0.1e1 * t831 * t765 + 0.1e1 * t101 * t782 + 0.1e1 * t687 * t165 - t839 - 0.1e1 * t60 * t816)) * t420;
  gradientJacobianp[4] = t428 * (0.2e1 * t1339 * t675 - 0.2e1 * t684 * t165 - 0.2e1 * t59 * t816 + 0.2e1 * t1348 * t675 - 0.2e1 * t794 * t142 - 0.2e1 * t153 * t782 + 0.2e1 * t1355 * t675 - 0.2e1 * t828 * t130 - 0.2e1 * t176 * t762) * t420;
  gradientJacobianp[5] = 0.1000000000e1 * t537 * (-(t116 * t962 + t138 * t946 + t161 * t929 + t506 * t812 + t517 * t776 + t528 * t742) * t648 * t655 + (t106 * t946 + t113 * t929 + t506 * t739 + t517 * t727 + t528 * t718 + t962 * t98) * t530 * t665);
  gradientJacobianp[6] = t184 * (-0.2e1 * t1288 * t981 + 0.2e1 * t988 * t145 + 0.2e1 * t59 * (-0.1e1 * t214 * t991 + 0.1e1 * t60 * t1055 + 0.1e1 * t1044 * t142 - t408 - 0.1e1 * t122 * t1071) - 0.2e1 * t1302 * t981 + 0.2e1 * t1083 * t168 + 0.2e1 * t153 * (0.1e1 * t831 * t991 - 0.1e1 * t101 * t1055 - 0.1e1 * t1044 * t165 + t839 + 0.1e1 * t122 * t1103) - 0.2e1 * t1318 * t981 + 0.2e1 * t1113 * t181 + 0.2e1 * t176 * (-t322 + 0.1e1 * t101 * t1071 + t801 - 0.1e1 * t60 * t1103)) * t420;
  gradientJacobianp[7] = t428 * (0.2e1 * t1339 * t981 - 0.2e1 * t988 * t165 - 0.2e1 * t59 * t1103 + 0.2e1 * t1348 * t981 - 0.2e1 * t1083 * t142 - 0.2e1 * t153 * t1071 + 0.2e1 * t1355 * t981 - 0.2e1 * t1113 * t130 - 0.2e1 * t176 * t1055) * t420;
  gradientJacobianp[8] = 0.1000000000e1 * t537 * (-(t1038 * t528 + t1067 * t517 + t1099 * t506 + t116 * t1229 + t1201 * t161 + t1215 * t138) * t648 * t655 + (t1016 * t528 + t1025 * t517 + t1035 * t506 + t106 * t1215 + t113 * t1201 + t1229 * t98) * t530 * t665);
  gradientJacobianp[9] = t184 * (-0.2e1 * t1288 * t1264 + 0.2e1 * t1273 * t145 - 0.2e1 * t1302 * t1264 + 0.2e1 * t1284 * t168 - 0.2e1 * t1318 * t1264 + 0.2e1 * t1295 * t181) * t420;
  gradientJacobianp[10] = t428 * (0.2e1 * t1339 * t1264 - 0.2e1 * t1273 * t165 + 0.2e1 * t1348 * t1264 - 0.2e1 * t1284 * t142 + 0.2e1 * t1355 * t1264 - 0.2e1 * t1295 * t130) * t420;
  gradientJacobianp[11] = 0.1000000000e1 * t537 * (-(t116 * t1408 + t138 * t1397 + t1386 * t161) * t648 * t655 + (t106 * t1397 + t113 * t1386 + t1408 * t98) * t530 * t665);
  gradientJacobianp[12] = t184 * (-0.2e1 * t1288 * t1447 + 0.2e1 * t145 * t1456 - 0.2e1 * t1302 * t1447 + 0.2e1 * t1467 * t168 - 0.2e1 * t1318 * t1447 + 0.2e1 * t1478 * t181) * t420;
  gradientJacobianp[13] = t428 * (0.2e1 * t1339 * t1447 - 0.2e1 * t1456 * t165 + 0.2e1 * t1348 * t1447 - 0.2e1 * t1467 * t142 + 0.2e1 * t1355 * t1447 - 0.2e1 * t1478 * t130) * t420;
  gradientJacobianp[14] = 0.1000000000e1 * t537 * (-(t116 * t1596 + t138 * t1585 + t1574 * t161) * t648 * t655 + (t106 * t1585 + t113 * t1574 + t1596 * t98) * t530 * t665);
  gradientJacobianp[15] = t184 * (-0.2e1 * t1288 * t1616 + 0.2e1 * t1620 * t122 * t145 - 0.2e1 * t1302 * t1616 - 0.2e1 * t1627 * t122 * t168 - 0.2e1 * t1318 * t1616 + 0.2e1 * t1637 * t181) * t420;
  gradientJacobianp[16] = t428 * (0.2e1 * t1339 * t1616 - 0.2e1 * t1620 * t166 + 0.2e1 * t1348 * t1616 + 0.2e1 * t143 * t1627 + 0.2e1 * t1355 * t1616 - 0.2e1 * t1637 * t130) * t420;
  gradientJacobianp[17] = 0.1000000000e1 * t537 * (-(t116 * t1748 + t138 * t1737 + t161 * t1726) * t648 * t655 + (t106 * t1737 + t113 * t1726 + t1748 * t98) * t530 * t665);
  gradientJacobianp[18] = t184 * (0.2e1 * t59 * (0.1e1 * t60 * t1767 - 0.1e1 * t122 * t1774) + 0.2e1 * t153 * (-0.1e1 * t101 * t1767 + 0.1e1 * t122 * t1786) + 0.2e1 * t176 * (0.1e1 * t101 * t1774 - 0.1e1 * t60 * t1786)) * t420;
  gradientJacobianp[19] = t428 * (-0.2e1 * t59 * t1786 - 0.2e1 * t153 * t1774 - 0.2e1 * t176 * t1767) * t420;
  gradientJacobianp[20] = 0.1000000000e1 * t537;
}
